<?php
/**
 * Antique Jewelry functions
 */

if ( ! function_exists( 'antique_jewelry_setup' ) ) :
function antique_jewelry_setup() {

    load_theme_textdomain( 'antique-jewelry', get_template_directory() . '/languages' );
	
	// Set up the WordPress core custom background feature.
    add_theme_support( 'custom-background', apply_filters( 'antique_jewelry_custom_background_args', array(
	    'default-color' => 'ffffff',
	    'default-image' => '',
    ) ) );

	/**
	 * About Theme Function
	 */
	require get_theme_file_path( '/about-theme/about-theme.php' );

	/**
	 * Customizer
	 */
	require get_template_directory() . '/inc/customizer.php';

}
endif; 
add_action( 'after_setup_theme', 'antique_jewelry_setup' );

if ( ! function_exists( 'antique_jewelry_styles' ) ) :
	function antique_jewelry_styles() {
		// Register theme stylesheet.
		wp_register_style('antique-jewelry-style',
			get_template_directory_uri() . '/style.css',array(),
			wp_get_theme()->get( 'Version' )
		);

		wp_enqueue_script( 'antique-jewelry-custom-script', get_theme_file_uri( '/assets/js/custom-script.js' ), array( 'jquery' ), true );

		// Scroll to top CSS and JS
		wp_enqueue_style( 'dashicons' );
		
		wp_enqueue_style( 'scroll-to-top-style',
			get_template_directory_uri() . '/assets/css/scroll-to-top.css',
			array(),
			wp_get_theme()->get('Version')
		);

		wp_enqueue_script( 'scroll-to-top-js',
			get_template_directory_uri() . '/assets/js/scroll-to-top.js',
			array(),
			wp_get_theme()->get('Version'),
			true
		);

		// Enqueue theme stylesheet.
		wp_enqueue_style( 'antique-jewelry-style' );

		wp_style_add_data( 'antique-jewelry-style', 'rtl', 'replace' );
	}
endif;
add_action( 'wp_enqueue_scripts', 'antique_jewelry_styles' );